Fedora. Ошибка при сборке postgresql91-9.1.2-1.1C.src.rpm под Fedora

Рейтинг:   / 0
ПлохоОтлично 

Решил под 1С поставить более свежую версию postgresql (пересобрать postgresql91-9.1.2-1.1C.src.rpm, скачанную с оф.сайта 1С). Но при сборке вылезла ошибка:

checking for flags to link embedded Perl... Can't locate ExtUtils/Embed.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .).
BEGIN failed--compilation aborted.
no
configure: error: could not determine flags for linking embedded Perl.
This probably means that ExtUtils::Embed or ExtUtils::MakeMaker is not
installed.

Проблема решается установкой пакетов:

yum -y install perl-ExtUtils-MakeMaker perl-ExtUtils-Embed

Остальные возможные проблемы при сборке PostgreSQL от 1С под Федорой расписаны в моей статье:

http://technotrance.su/index.php/moi-stati/linux-fedora/item/19-1c-linux

Добавить комментарий

Защитный код
Обновить

Вы здесь: Home Мои Заметки Fedora. Ошибка при сборке postgresql91-9.1.2-1.1C.src.rpm под Fedora